coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/approval2609170000

Approve request for return

# 01

Summary

Approve request for return

# 02

Details

Available buyer market: Korean, Taiwan

You can process the return request for the products at status of Vendor_Warehouse_Confirm when running a query on the list of return requests.

You can process return by taking [Vendor_Warehouse_Confirm] and [Approve return request] in sequence.
The products processed for return by Pre-refund(fast refund) policy or confirmed for their receipt in vendor warehouse, get their return approved by Coupang system after some time. You need to call an API to do this work.

*Return API Workflowcan help you understand the process easily.

Path

PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/approval

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00013264/returnRequests/363585/approval

URL API Name

APPROVE_RETURN_REQUEST_BY_RECEIPT
# 03

Path parameters

NameTypeDescription
vendorId*object
Vendor code
receiptId*object
Return receipt Id
ReceiptId can be confirmed via 'Return request list query' API.
ReceiptId should be entered in numbers.
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Vendor code
receiptId*integer
Return receipt number
cancelCount*integer
Return quantity
Request exampleapplication/json
{
  "vendorId": "A00013264",
  "receiptId": 363585,
  "cancelCount": 1
}
# 05

Response body

Response message

NameTypeDescription
codestring
server response status code
messagestring
Result(success or fail) message pops up
dataobject

Response Example

{
  "code": "200",
  "message": "OK"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check requested parameter)

There is no history on order cancel receipt.

The return request is withdrawn by either the customer or CS rep, or the wrong receipt number is entered. You can search for a record on return withdrawal via 'Return withdrawal history' API.

400400 (Check return status)

The product is already returned.

You can check if the product is 'return completed' by entering its receipt Id into 'Return request single product query' API. Make sure that the request is not processed twice once the product is confirmed 'returned' based on 'Fast return' or Retrieval tracking information.

400400 (Check requested parameter)

Cancel/return receipt count doesn't match cancel count.

Check return receipt count for its correctness. An error occurs when the return receipt count doesn't match cancel count.

500500 (Check return status)

Refund approval (waiting)/reception of the requested coupon is in a state that cannot be approved or the quantity is incorrect.

You can check if the product is 'return completed' by entering its receipt Id into 'Return request single product query' API. Make sure that the request is not processed twice once the product is confirmed 'returned' based on 'Fast return' or Retrieval tracking information.